package com.zaojiao.app.data.remote

import com.zaojiao.app.data.remote.api.StudyPlanApi
import javax.inject.Inject
import javax.inject.Singleton

@Singleton
class RemoteStudyPlanData @Inject constructor(
    private val studyPlanApi: StudyPlanApi,
) {
    suspend fun getTodayPlan() = studyPlanApi.getTodayPlan().data

    suspend fun getTomorrowPlan() = studyPlanApi.getTomorrowPlan().data

    suspend fun getTotalCategory() = studyPlanApi.getTotalCategory().data
}